export async function onRequest(context: RequestContext) {
  const { current_user: currentUser } = context.data;

  if (
    !(currentUser?.permissions & (1 << 5)) ||
    !(currentUser?.permissions & (1 << 12))
  )
    return new Response('{"error":"Forbidden"}', {
      headers: {
        "content-type": "application/json",
      },
      status: 403,
    });

  return await context.next();
}
